{if isset($confirmation)}{$confirmation}{/if}

<form class="defaultForm form-horizontal" method="post">
    <div class="panel">
        <div class="panel-heading">{l s='Settings' mod='expay'}</div>
        <div class="form-wrapper">
            <div class="form-group">
                <label class="control-label col-lg-3">{l s='Enable/Disable' mode='expay'}</label>
                <div class="col-lg-9">
          <span class="switch prestashop-switch fixed-width-lg">
            <input id="module_status_enabled" name="module_status" type="radio" value="1"
                   {if $module_status == 1}checked="checked"{/if}>
            <label for="module_status_enabled">{l s='Yes' mode='expay'}</label>
            <input id="module_status_disabled" name="module_status" type="radio" value="0"
                   {if $module_status == 0}checked="checked"{/if}>
            <label for="module_status_disabled">{l s='No' mode='expay'}</label>
            <a class="slide-button btn"></a>
          </span>
                    <p class="help-block">{l s='Enable Payment Module.' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">{l s='Sandbox' mode='expay'}</label>
                <div class="col-lg-9">
          <span class="switch prestashop-switch fixed-width-lg">
            <input id="sandbox_status_enabled" name="sandbox_status" type="radio" value="1"
                   {if $sandbox_status == 1}checked="checked"{/if}>
            <label for="sandbox_status_enabled">{l s='Yes' mode='expay'}</label>
            <input id="sandbox_status_disabled" name="sandbox_status" type="radio" value="0"
                   {if $sandbox_status == 0}checked="checked"{/if}>
            <label for="sandbox_status_disabled">{l s='No' mode='expay'}</label>
            <a class="slide-button btn"></a>
          </span>
                    <p class="help-block">{l s='Enabling sandbox means that all your transactions will be in TEST mode.' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3" for="live_url">{l s='Live URL' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="live_url" name="live_url" type="text" value="{$live_url}">
                    <p class="help-block">{l s='The url to live payment server' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3" for="live_url">{l s='Sandbox URL' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="sandbox_url" name="sandbox_url" type="text" value="{$sandbox_url}">
                    <p class="help-block">{l s='The url to sandbox payment server' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="test_public_key">{l s='Sandbox Merchant Key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="test_public_key" name="test_public_key" type="text" value="{$test_public_key}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="test_secret_key">{l s='Sandbox Secret Key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="test_secret_key" name="test_secret_key" type="password" value="{$test_secret_key}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="test_secret_key">{l s='Sandbox Webhook Signing Secret Key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="test_secret_key" name="test_webhook_secret_key" type="password" value="{$test_webhook_secret_key}">
                    <p class="help-block">{l s='Sandbox Signing Secret Key of your Webhook' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="live_public_key">{l s='Live Merchant key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input type="text" id="live_public_key" name="live_public_key" value="{$live_public_key}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="live_secret_key">{l s='Live Secret Key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="live_secret_key" name="live_secret_key" type="password" value="{$live_secret_key}">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="test_secret_key">{l s='Live Webhook Signing Secret Key' mode='expay'}</label>
                <div class="col-lg-9">
                    <input id="test_secret_key" name="live_webhook_secret_key" type="password" value="{$live_webhook_secret_key}">
                    <p class="help-block">{l s='Live Signing Secret Key of your Webhook' mode='expay'}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3"
                       for="webhooks_endpoint">{l s='Webhooks endpoint' mode='expay'}</label>
                <div class="col-lg-9">
                    <p class="form-control-static">
                        <code>{$webhooks_endpoint}</code>
                    </p>
                </div>
            </div>
        </div>
        <div class="panel-footer">
            <button class="btn btn-default pull-right" name="{$submit_action}" type="submit" value="1">
                <i class="process-icon-save"></i>{l s='Save' mode='expay'}
            </button>
        </div>
    </div>
</form>